package rest

type ResponseEmpty struct{}

func (s *ResponseEmpty) IsError() bool {
	return false
}

func (s *ResponseEmpty) KeySet(key string, val any) {}

func (s *ResponseEmpty) FileSet(name string, file IReadCloserLen) {}

func (s *ResponseEmpty) Close() {}

func (s *ResponseEmpty) Send(writer any) IErrorArgs {
	return nil
}
